Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class PersistenceUnitRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.PersistenceUnitRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PersistenceUnitRefType<T>

    public class PersistenceUnitRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PersistenceUnitRefType<T>

This class implements the `persistence-unit-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PersistenceUnitRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PersistenceUnitRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
`java.lang.String` | `getPersistenceUnitRefName()` Returns the `persistence-unit-ref-name` element
`PersistenceUnitRefType<T>` | `ignoreDependency()`
`InjectionTargetType<PersistenceUnitRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`PersistenceUnitRefType<T>` | `removeAllDescription()` Removes the `description` element
`PersistenceUnitRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`PersistenceUnitRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`PersistenceUnitRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`PersistenceUnitRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element
`PersistenceUnitRefType<T>` | `removePersistenceUnitRefName()` Removes the `persistence-unit-ref-name` element
`PersistenceUnitRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`PersistenceUnitRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`PersistenceUnitRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setPersistenceUnitName(java.lang.String persistenceUnitName)` If not already created, a new `persistence-unit-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setPersistenceUnitRefName(java.lang.String persistenceUnitRefName)` If not already created, a new `persistence-unit-ref-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceUnitRefTypeImpl

    public PersistenceUnitRefTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### PersistenceUnitRefTypeImpl

    public PersistenceUnitRefTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setJndiName

    public PersistenceUnitRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### removeJndiName

    public PersistenceUnitRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public PersistenceUnitRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### removeMappedName

    public PersistenceUnitRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public PersistenceUnitRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### injectionTarget

    public InjectionTargetType<PersistenceUnitRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `PersistenceUnitRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `PersistenceUnitRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public PersistenceUnitRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `PersistenceUnitRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `PersistenceUnitRefType<T>`

### setDescription

    public PersistenceUnitRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### setDescriptionList

    public PersistenceUnitRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `PersistenceUnitRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `PersistenceUnitRefType`

### removeAllDescription

    public PersistenceUnitRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `PersistenceUnitRefType<T>`
  Returns:
    list of `description`

### setPersistenceUnitRefName

    public PersistenceUnitRefType<T> setPersistenceUnitRefName(java.lang.String persistenceUnitRefName)

  If not already created, a new `persistence-unit-ref-name` element with the given value will be created. Otherwise, the existing `persistence-unit-ref-name` element will be updated with the given value.

  Specified by:
    `setPersistenceUnitRefName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### removePersistenceUnitRefName

    public PersistenceUnitRefType<T> removePersistenceUnitRefName()

  Removes the `persistence-unit-ref-name` element

  Specified by:
    `removePersistenceUnitRefName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### getPersistenceUnitRefName

    public java.lang.String getPersistenceUnitRefName()

  Returns the `persistence-unit-ref-name` element

  Specified by:
    `getPersistenceUnitRefName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref-name`

### setPersistenceUnitName

    public PersistenceUnitRefType<T> setPersistenceUnitName(java.lang.String persistenceUnitName)

  If not already created, a new `persistence-unit-name` element with the given value will be created. Otherwise, the existing `persistence-unit-name` element will be updated with the given value.

  Specified by:
    `setPersistenceUnitName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### removePersistenceUnitName

    public PersistenceUnitRefType<T> removePersistenceUnitName()

  Removes the `persistence-unit-name` element

  Specified by:
    `removePersistenceUnitName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the current instance of `PersistenceUnitRefType`

### getPersistenceUnitName

    public java.lang.String getPersistenceUnitName()

  Returns the `persistence-unit-name` element

  Specified by:
    `getPersistenceUnitName` in interface `PersistenceUnitRefType<T>`
  Returns:
    the node defined for the element `persistence-unit-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD